Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000296Dwarf FortressContaminants/Spatterpublic2010-04-03 12:402016-07-23 19:44
ReporterKwahn 
Assigned ToLoci 
PrioritylowSeverityminorReproducibilityhave not tried
StatusconfirmedResolutionopen 
PlatformOSWindows Vista 64-bitOS Version
Product Version0.31.01 
Target VersionFixed in Version 
Summary0000296: Pools/smears/spatters of blood, dust and other materials multiply themselves, get tracked around too much
DescriptionAbout a year ago (Dwarf Fortress Time) I killed a Leopard who had attacked one of my animals. It's a skeleton now, however all throughout the ground, a few squares from where the Leopard died and seeming to extend from the river nearby (not the corpse itself), there is a slowly expanding mass of red tiles, that are marked as a 'Leopard Blood Smear' or 'Leopard blood smattering' The smear that seems to be coming from the river was not touching the smears left by the fleeing Leopard before it was killed... now, a year later in the game, the river-borne smear has expanded and joined with the original smears left over from the short-lived combat. It's taken up... a little more than 160 squares, Roughly 130 of which were places that the Leopard never set foot, including places across the river, on the hills on the other side, and underground in the fortress itself. So far it's only happened with the Leopard (there is no signs of expanding Dog blood smears, or any blood smears from the randomly deceased Tigerman across the river to the south.)

I don't think that the blood is really going to effect anything negatively, except for eventually turning my entire map red with blood smears... but it doesn't seem especially natural for blood to multiply after the creature it originally came from is dead.
Steps To ReproduceAll I did was kill a Leopard. I have not seen any other leopards to verify that it always happens or if it was just this time. But the blood smears and smatterings are continuing to expand. It has been a very slow process so far.
Tagsblood, clean self, long-standing bug, spatter
Attached Files

- Relationships
has duplicate 0000484closedFootkerchief Stains and splatters spread. 
has duplicate 0000777closedFootkerchief Piles of siltstone on glacier map. 
has duplicate 0000894closedFootkerchief wipe your feet, horror style. 
has duplicate 0001192closedFootkerchief Infinitely tracking blood/ichor 
has duplicate 0000884closedFootkerchief Blood pools propagate through distant water flows 
has duplicate 0001175closedFootkerchief After killing forgotten beast with "deadly blood," upper bodies of creatures uninvolved in fighting begin to go missing 
has duplicate 0001725closedFootkerchief cleaning floods fort with blood 
has duplicate 0002044resolvedFootkerchief Poisons spread too much, result is mass chaos and death 
has duplicate 0002181closedFootkerchief Caged goblin spontaneously bleeds outside its cage 
has duplicate 0002692resolvedLogical2u Blood spatter spreads. Forgotten beast blood spreading everywhere killing children. 
has duplicate 0002784resolvedFootkerchief Blood coming back 
has duplicate 0003110resolvedFootkerchief Blood pools/splatterings/smears spontaneous apperance 
has duplicate 0003267resolvedFootkerchief Blood spatter = steady FPS loss 
has duplicate 0003324resolvedFootkerchief Military Cleaning loops 
has duplicate 0000298resolvedFootkerchief Pathfinding won't avoid dangerous items on ground 
has duplicate 0004300resolvedDwarfu Stains and spills have infinite substance 
has duplicate 0000886resolvedFootkerchief Teleporting piles of peat mud and blood. 
has duplicate 0006341resolvedKnight Otu Ridiculous amount of contaminants regenerates endlessly 
has duplicate 0001766resolvedDwarfu Water causes bleeding 
has duplicate 0009029resolvedDwarfu Seemingly permanent blood spreading on the ground 
has duplicate 0009936resolvedLoci Increasing quantities of troll blood being tracked around outdoors in game file. 
related to 0000257new Vomit laced with water, water, water, water, water, water and water 
related to 0000167confirmedFootkerchief Spatter changes color of unfinished buildings/constructions 
related to 0003270confirmedFootkerchief Blood has [ROTS] tag, but does not rot 
related to 0000935new Custom creatures in fortress mode with the "secretion" tag constantly go clean themselves 
related to 0009966resolvedLoci Dwarves do not clean vomit 

-  Notes
(0000622)
Footkerchief (manager)
2010-04-03 12:44

It gets smeared around by dwarves and other creatures walking on it. As such, it's more or less expected behavior, although the amount (and duration) of the spatter is iffy.
(0000628)
Kwahn (reporter)
2010-04-03 12:51

Ah, that makes sense then how it might have extended so far. It's right around one of my 'meeting areas'. It's possible that blood could have come from the bottom of a Dwarf's boot.

However, I just recently noticed that I do have randomly smeared Tigerman blood seeming to come from a pond that I don't use, far far away from the Tigerman corpse positioned on a hill on the other side of the river... It could be that this came from another Tigerman at some time though and I never noticed it before.
(0000633)
Kwahn (reporter)
2010-04-03 13:01

Another update. I've located Leopard blood around the edges of several other ponds in the northern part of my map. If it's not being dragged around on the bottom of a dwarf's foot that likes to travel to random far off ponds, then the blood of dead creatures seems to want to come from the ponds themselves. There is still no signs of dog blood from my poor deceased pet.
(0000642)
DoctorZuber (reporter)
2010-04-03 13:33
edited on: 2010-04-03 13:34

My thoughts on this subject are that above ground tiles should handle cleanup themselves, nature takes care of it's own. The old seasonal cleanup worked well enough for this. Subterranean tiles however can be more or less purely up to the dwarves to deal with using the new cleaning mechanics.

I did notice after some slaughter that a large number of buzzards got a keen interest in my fort for a while, if these carrion animals actually contribute to the cleaning up process that would be pretty cool. If not, no worries.

(0000669)
SirPenguin (reporter)
2010-04-03 14:52

I've also noticed this. From what I can tell it's happening when a hunter goes to a pond to clean himself off. The blood drops at his feet, so thus it shows up around the edges of the pond.

I THINK that's what is happening, at any rate.
(0000670)
Kwahn (reporter)
2010-04-03 14:52
edited on: 2010-04-03 14:53

The above tiles haven't done anything, I figured rain would wash it away, but it hasn't. There may be some cleaning going on inside though, since it doesn't appear that the blood has made it past the stairs leading into the fortress.

I don't have any hunters... so that's unlikely. Of course if anyone happened to walk in the blood and went to go clean themselves off at a pond somewhere, THAT might be where it came from.

(0000765)
DoctorZuber (reporter)
2010-04-03 20:21

you know, I have to say I'm growing to like it. It's completely outrageous I agree, the smears of blood covering the landscape leaving huge bloody trails everywhere. But you're all forgetting something terribly important.

It's not Vomit.

I'll take a landscape covered in the blood of the fallen over vomit any day. ;)
(0000903)
DoctorZuber (reporter)
2010-04-04 12:03
edited on: 2010-04-04 15:09

okay, I've got an 11 year old fort here which I am very half-heartedly managing. In all this time I have made no efforts to make any soap for dwarves to clean with wanting to see what these particles of blood and stone will do.

sometime early in the creation of this fort, after I think the second wave of immigrants my only woodworker decided to go insane using the only axe in the fortress to cause lots of chaos. Attempting to put down this rebellion I tasked the squad to kill this dwarf but since she's the leader of the squad and the only dwarf with a decent weapon this ended with 11 fatalities, before she was finally put down. (I ended up drafting every single dwarf in the fort to put down the rebellion). So that little saga ends back in year 2 or 3...

it is now year eleven.

There is a trail of blood, alunite, and silt loam leading through every major tunnel of the fortress up to the surface, and outside. this trail marks a very easy to follow path to three major ponds on the surface where the dwarves are regularly 'cleaning' themselves.

I would not say that it is being spread around so much as it is being generated as dwarves go through their process of cleaning themselves.

a pool of "BRICK" giltfortun
a pool of thikut Cloisterdw
a pile of alunite
a pile of silt loam
a pool of 'WOODY' shieldtwis
a pool of 'FISH!' Exitshield
a pool of 'Ensign' Eastfence
a pool of 'Pvt.' Truspaddle
a pool of Tun Spearburned's
a pool of iton Boltslights's
a pool of Rakust Groovedboot

This... is what I see on basically every tile of the trail, big long wide trails 4-5 tiles wide everywhere the dwarves travel. the edges of the trail or less traveled areas can be smears or spatters, but the more heavily traveled areas are all solid pools of blood and piles of rock.

Most of the dwarves on the above list died seven or more years ago, in the bloody massacre caused by WOODY. Now, over seven years after this epic battle deep pools of their blood have spread unimaginable distances across the landscape.

I find this absolutely hilarious!
http://df.magmawiki.com/index.php/File:Spatter_Analysis.png [^]
in case anyone doesn't understand the image, the long list of contaminants can be found in every single one of those gray tiles spreading out from the fortress. the color of stone is stronger than the color of blood apparently.

(0000988)
Kwahn (reporter)
2010-04-04 20:18

Well! At least we know that if the blood isn't being generated randomly from pools (Which I think we've established is in fact not happening.) then there's definately a bug with the blood simply not going away.
(0001172)
InsanityPrelude (reporter)
2010-04-05 12:51

Yep, it's not going away (seasonal cleaning having been removed) and no dwarves are bothering to clean it up.
(0001227)
King of the Internet (reporter)
2010-04-05 15:16

I have pools of a long-dead dwarf's blood all around my fortress. They seem to pop up wherever a dwarf gets wet, whether accidentally or by cleaning themselves.
(0001815)
Kwahn (reporter)
2010-04-07 11:57

A quick update... rain DOES wash away these excess blood smatterings... albiet slowly. But once you have a fortress of 20 or so dwarves, no amount of rain is going to get rid of all that blood.
(0001816)
DoctorZuber (reporter)
2010-04-07 12:01

I believe it's more than it simply not going away, I think something in the process of going to a pond, cleaning self, and returning to the fort is actually gradually generating more of the same blood.

This however, is very difficult to verify since blood shifts around quite a lot as it gets walked over.
(0001868)
DoctorZuber (reporter)
2010-04-07 15:34
edited on: 2010-04-07 15:41

I'm tired of not understanding this weirdly growing area of blood and other contaminants so I have taken things to the testing arena. This test will be featuring...

one extra burly dwarf in full iron battle gear
one soon to be very deceased alligator
created (7/7) water on demand

The test begins by killing the alligator.

1. stepping from a pool to an empty tile makes a spattering of blood
2. repeating this process one or more times can upgrade a spattering to a smear
3. stepping from a smear to empty does not produce blood even if repeated many times
4. same for spatter
5. tracking water from a pool of blood eventually reduces the size of the pool of blood.
6. stepping onto a spattering of blood tile and checking my inventory I find no blood on my clothes.
6a. repeating this many times in a row does not change the result.
7. stepping on a smear of blood and I find blood on my foot.
7a. repeating this many times still only leaves blood on my left foot. (neat trick!)
7b. just to verify I checked wounds and insured that I still have two feet. I am unwounded.
8. stepping in (1/7) water covers me in water from head to toe, and removes the blood. (Apparently I rolled around in the water or something, go figure.)
9. repeating 6 while covered in water produces the same result
10. repeating 7 while covered in water fails to collect any blood on my foot.
10a. repeating 10 several times produces consistent results
11. stepping in a pool of blood I again see blood on my foot
12. retesting steps 1 to 4 with my water covering produces similar results
12a. after the results I still only have blood on my left foot
13. finding a clean patch of floor I apply 7/7 water to myself again as before this removes all blood from my body. It also creates a smear and two spatterings at the edges of the pool of water.
14. AH HA! placing 7/7 water on top of a pool of blood produces MANY new pools of blood. blood generation discovered!
15. repeating an earlier test I apply (7/7) water to clean up a smear. this creates 3 spatterings of blood and removes the smear.
16. placing (7/7) water on spattering of blood removes the spattering, but creates 3 new spatterings.
16a. repeating this test (3x) creates 2 new spatterings each time
16b. the fourth test removes 3 spatterings.
16c. repeating this many more times produces intermittent results, with a very slight net gain in spattering tiles.

This concludes my testing... for now...

Conclusions:
- 7/7 water placed on a pool of blood creates a large amount of new blood which forms in pools at the edge of the water as it finishes moving.
- 7/7 water on a smear or spattering has somewhat unpredictable results but generally results in a slight increase in the number of tiles covered in spatterings of blood.
- Dwarves apparently walk only on their left foot. All blood accumulated from walking was always on the left foot only.
- Dwarves only accumulate blood from smears and pools, spatterings can be walked on safely with no accumulation.
- Dwarves roll around like crazy whenever encountering water. even (1/7) water instantly results in full water covering from head to toe.

Theory:
- My testing doesn't perfectly replicate the "clean self" behavior. which I do still suspect of potentially generating more blood. I think this generation process is likely to be similar to pouring water on a smear or spattering.
- rain is very likely to behave similarly and generate more blood although probably less quickly than a created (7/7) tile of water.
- large amounts of blood on a spattering might eventually manage to remove the blood, but this behavior is certain to be quickly overbalanced the instant any water touches an actual pool of blood.

(0001876)
DoctorZuber (reporter)
2010-04-07 16:05

at your convenience please reclassify this to contaminants/spatter
(0002159)
Chthonic (reporter)
2010-04-08 14:28

One would think that blood would not last very long outside, considering that soil and grass would probably absorb it relatively quickly...
(0002536)
Silverionmox (reporter)
2010-04-10 02:12

A dwarf stumbled into shallow water in my fortress: it generated new pools, smears and spatterings of blood in the water that was previously on the dwarf's shoes. Probably a bit excessive.

A useful solution may be found in letting the blood dry, which wouldn't spread anymore.
(0002768)
Lightning4 (reporter)
2010-04-11 03:23
edited on: 2010-04-11 03:23

I'd like to add that this may be causing FPS lags if there is enough fluid. I have a 4 year old fort that has literally layers of gunk in the most populous areas. I don't believe there is any other source of this slowdown, as the only thing my fort has gained are remains, miscellaneous items, and more blood.
Some tiles have at least four pages of varying fluids.

My fort was about 25 fps before a siege. It's now 10. Doing tests though, to see if I can find any other source.

(0002952)
Draco18s (reporter)
2010-04-11 19:50
edited on: 2010-04-12 18:16

Blood does spread...excessively:
http://i42.tinypic.com/1z22bgy.png [^]

# 1 (z below) fort entrance. Few dwarves travel here (relatively).
# 2 (z below) wagon and 35-40 idle dwarves.
# 3 Water zone

Near the fort entrance, just north and east is the Trade Depot. Just north and east of that I killed two giants, lost 3 dogs, and a dwarf (you can see some smears of blood). I would guess that both giants were killed less than a year ago.

(0002981)
DoctorZuber (reporter)
2010-04-11 22:30

nice pic. #xxx is a link however which was unintended I assume?
(0003172)
Draco18s (reporter)
2010-04-12 18:16
edited on: 2010-04-12 21:34

@DoctorZuber: yes, unintended. I'll fix.

(0003202)
Draco18s (reporter)
2010-04-12 21:35
edited on: 2010-04-12 21:57

I noticed that some of the blood in my fort dried out (finally).

http://i40.tinypic.com/15gk7c.png [^]

Of course, there were increases in coverage in other areas....

Edit: speaking of increased coverage, in the initial image, the ground (seen only as dots) were mostly splatters and smears.

Now its half pools. The entire inner circle around the wagon and the path to the fort entrance is "pools of blood."

(0003248)
Brybry (reporter)
2010-04-13 07:02

At first I thought blood replicating all over the place was bad.
Then one of my dwarves stepped into a bit of camel monster extract (I still have no clue how as the camel monster diplomat (human) was in a brook that I was no longer using).

I only noticed after about 20 dwarves randomly bled to death.
(0003250)
DoctorZuber (reporter)
2010-04-13 07:21
edited on: 2010-04-13 07:22

What I think is happening is that spatters (possibly smears too) can dry out... but if water gets in contact with a pool it's generating more so fast it's hard to notice.

(0003257)
Draco18s (reporter)
2010-04-13 08:25

When I get home I'm going to test that theory Dr.
I got a pump built next to the pond (right where my water zone is) and I'll get a dwarf to power it. See what happens to the giant, bloody, smear across the landscape.
(0003563)
random51 (reporter)
2010-04-14 15:16
edited on: 2010-04-14 15:57

I think this may have been fixed in 02 or 03. I too had wall to wall blood in 01, but in my 03 fort I had 3 miners beat a raccoon to death with their bare hands, splashing blood everywhere. That was only a few seasons ago at most and there is no sign of the blood. The dwarven liaison left blood at a number of murky pools after chasing a deer instead of negotiating and that blood too is gone after a few seasons.

Uhh, scratch that. There was raccoon blood sitting underneath a stockpile. It has now gotten loose and is slowly conquering my fort, one bloody square at a time.

(0003659)
Manatee (reporter)
2010-04-15 06:05

Now imagine this happening with harmful blood. Gross.
(0003713)
DoctorZuber (reporter)
2010-04-15 10:22
edited on: 2010-04-15 10:30

if you manage to track the blood entirely down to spatters and smears and leave it alone I think it will eventually decay. but if they keep going to the pond and "cleaning" themselves it will repeatedly recreate pools of blood and spread endlessly.

Here's a visual example...
http://df.magmawiki.com/index.php/File:Alligator_Blood.png [^]
First, a single alligator who met an untimely end in the arena. He generates two pools of blood, one smear, and one spattering. spreading this around results in five spatterings and four smears. This is our "control".

http://df.magmawiki.com/index.php/File:Alligator_Blood_2.png [^]
Now I kill a different alligator elsewhere and compare. On death he created the same amount of blood as our control. using create water to dump a 7/7 tile on the pool of blood generates many new pools of blood. tracking this around and adding water for a few minutes...

For those of you who haven't been obsessing over this behavior, an explanation. the double ~'s are pools. the single ~'s are smears, the + tiles are spatterings.

(0003745)
GlacialEidolon (reporter)
2010-04-15 12:56

I just had this happen with a forgotten beast's infected blood and it started killing off all my dwarves and animals. It looks like I have to abandon the fort because the blood sure isn't going away anytime soon.
(0003771)
darkfred (reporter)
2010-04-15 17:02

Is there any way to turn off contaminants and fix a fortress?
(0003808)
thelonegoldfish (reporter)
2010-04-15 23:32

I created a tower with farms on the soil level, a statuary above that set to be my meeting area, and the tower then builds up and over to hover above a pond with a few wells running down.

It turns out that one buzzard I killed a few years ago left enough blood to cover the statuary entirely and leave a smeary path all the way to the wells and back.

I believe that my animal population is more responsible for the running back and forth rolling in blood as they seem to be more likely to have body parts covered by just wading around in it (and have nothing better to do than go clean themselves. But some of my dwarves have taken to playing Lady Macbeth running back and forth to the well to wash the blood that will not go away.

It would be nice to be able to designate rooms outside to be cleaned.
(0004278)
king doom (reporter)
2010-04-19 16:26

I can confirm rain WILL clear away outdoor blood, I've watched it happen, but the tile with blood has to be hit with a raindrop - you need to see the tile flash blue for a second.

 The muck spreading thing is caused by pets I suspect. Dwarves seem to clean themselves properly, animals seem to wander to a pond, drop the muck on them like it was an item, onto the tile they are stood one, contaimnate themselves again instantly and then wander off to spread the muck elsewhere.
(0004464)
barconis (reporter)
2010-04-21 10:44

This seems to be affecting FPS. At this point, I've got over 10,000 blood spatter tracked through my fortress which no dwarf will clean (estimated; most affected tiles have at least 4 screens of spatter, some more, and I have over 60 affected tiles in just the main workshop level alone), and FPS has dropped to 5. It was at 13 when I stopped all mining and started actively dumping stone, but the dwarves tracked spatter into new previously unaffected areas while hauling.
(0004643)
Footkerchief (manager)
2010-04-22 15:31

Yeah, huge amounts of spatter could definitely impact FPS. Spatter is basically an item under the new system, and large numbers of items have always caused performance problems.
(0004676)
derigo (reporter)
2010-04-22 22:26

The behavior of the blood floating in water as I irrigate my giganto quarry/underground forest is mesmerizing to watch. The blood seems to flow in the wrong direction (towards the open floodgates with water pouring out of them) and collect in a sort of oil slick near the water source until the water fills all the way up[7/7]. Then it bounces around crazily and gets stuck to all the walls until its gone. 95% of the walls are now bloody, but the floor is clean (until some dwarf with bloody feet steps in the wet). Trippy and impressive to watch.
(0004985)
fake_robot (reporter)
2010-04-25 08:05

So I had a decent size fort. 54 dwarves (pop. capped at 50, gotta love kids), re-claim of another fort that I did because I opened up two cavern levels, and by the time all the crundles were dead, there was absolutely no booze. Everybody dehydrated. So, my expedition team goes in, seals off the 2x2 entrance to the caverns, I figure that way I won't have to deal with the caverns anymore. About 6 in game years go by, a few beasts show up, no problems, FPS is high, things are good. Then a Dimetrodon that leaves trails of forgotten beast extract shows up in the caverns, and about 1 in game month later, my machine is at a complete crawl, due to the massive amounts of zig-zagging extract left everywhere (one strange thing was that it ONLY left this stuff in the water, all the floor tiles were dry). Nothing else of significance changed, whatsoever. I was just producing food & booze & deciding on whether or not to allow a leatherworker in a fey mood to produce an artifact, or lock the doors permanently. So in my experience, this issue DOES seem to be impacting FPS dramatically.
(0005038)
DoctorZuber (reporter)
2010-04-25 14:47

The deal is they're going to the pond to clean themselves. When a small amount of blood (spattering or smear) contacts water the water simply pushes it back out to the shore accumulating on adjacent tiles. When a larger amount of blood (pool) contacts water, things go all wonky creating more blood at the shore of the pond.

This is further complicated by the fact that any time a dwarf steps on a smear or pool of blood they gain a covering of blood on their left foot tracking it around again.

I've also noticed that animals and dwarves can become quite saturated with blood resulting in a full pool of blood that follows the dwarf, always present on whatever tile he's walking through and leaving behind smears and spatterings on any empty tile the dwarf crosses through.
(0005145)
Thoranius (reporter)
2010-04-26 10:52

Another cause of contaminants I've noticed can be generated on reclaims or dumping. Both acts appear to make the contents of bags/barrels that are powder or liquid in nature end up on the floor, causing gunk generation points to be further tracked about.

Also, either large amounts of gunk or a specific gunk (haven't been able to verify which of the two it is) can cause specific tiles (walls/doors/dwarfmade floors) appear as empty black squares visually, which can also be a nuisance at times.

And as for the cleaning designation option, I hope it or another fix gets instated, I tossed a couple solutions up in the air in the feature request page of the regular forums.
(0005823)
barconis (reporter)
2010-05-01 09:20

It looks like constructing or deconstructing on that spot will clear the spatter. Doesn't stop new spatter from getting laid down on it, but it seems to clear the old stuff.
(0005849)
DoctorZuber (reporter)
2010-05-01 13:24

I've already reported the black tile effect in 0000357. It can also affect the color of the inverted images before a structure is built which I described in 0000167.

And I've mentioned earlier that constructing/deconstructing most anything on a tile will destroy any contaminants in the tile.
(0005907)
Jiri Petru (reporter)
2010-05-02 03:11

Easier yet is to use DF Hack and its "Clean map" utility!

http://www.bay12forums.com/smf/index.php?topic=41916.0 [^]
(0005909)
RusAnon (reporter)
2010-05-02 05:06

Thanks for the hint, Jiri Petru
That util does work, altho i didn't notice any FPS increase after splatters were cleaned.
(0006088)
gruftschreck (reporter)
2010-05-04 05:34

another hint from me, blood which is outside won't be cleaned at all. Inside the fortress it will be cleaned, outside it won't.

for the definition of inside/outside:
here it won't be cleaned: http://mkv25.net/dfma/poi-23285-bloodymess [^] (even though the area is closed from above, but this seems to be outside though

here it will be cleaned: http://mkv25.net/dfma/poi-23305-insidepool [^] (definetely inside)

Imho there are reasons for dwarves not cleaning blood and stuff outside. So there would be a clean outside activity zone helpful, or an order to forbid them to clean outside the fortress. Don't want my dwarves running to a yet in progress fight to clean the floor. ;)
(0006090)
DoctorZuber (reporter)
2010-05-04 09:03

that might make sense as a feature. Right now I'm just trying to get them to fix contaminants so they're not massively multiplying the amount of contaminants when they come in contact with water.
(0006115)
hyndis (reporter)
2010-05-04 13:17

Inside/outside still means above ground and below ground. If the tile is light then it is above ground. If its dark then its below ground and it will be cleaned, just like in previous versions.

The difference is that in 31.XX smears/splatters are not cleaned at the turn of a season anymore. They used to be cleaned at the change of every season.
(0006135)
kelpi (reporter)
2010-05-04 22:03

Allocating an area as a meeting area will increase the cleaning priority of that area (as long as it is underground), you can systematically clean a fortress by marking meeting areas. Another good trick is to have the room with your well as a meeting area, since it is a water source dwarves will clean themselves spreading blood the blood will then get quickly cleaned up because its a meeting area.
(0006416)
estokien (reporter)
2010-05-08 10:04

Seems like the animals at my fortress keep trying to clean themselves, but fail. Most of my dwarves are clean enough, but the animals are filthy, and don't get any better going through water. Unfortunately, the fortress doesn't have much water so they're drying out the wells trying to get clean. (Or maybe it is giving water to the chronically wounded and leaving stagnant water in the buckets that is losing all the water.)
(0006426)
king doom (reporter)
2010-05-08 14:03

Bit more experimenting, rain will wash contaminants off animals, buildings, dwarves or whatever if a raindrop hits them, but the resulting mess it leaves on the floor appears to be infinite - a spattering of blood can be tracked across a map once it's been cleaned off something and onto the floor by rain, and it will contaiminate everything that paths through the first tile.
(0006431)
Aescula (reporter)
2010-05-08 16:12

I had this, and still have it, with Gnomeblight. My fix? Make a "Janitor" dwarf. Simply choose some peasant and disable all tasks from him except Cleaning. He'll spend time in No Job, and still do "Bring Item to Trade Depot" and "Harvest plants" and "Remove Construction", but he'll also start working, mostly, on "clean", and he'll go around eliminating this.

Honestly unnecessary, in terms of game mechanics, but it might up FPS a little, and it'll certainly look nicer. Can't say what it'll do for outside, but from what I've noticed, rain has to hit a tile exactly (ie, the tile has to turn blue in the rain) for any cleaning to occur. Alternately, there's always flooding the world.
(0007164)
Gamli (reporter)
2010-05-22 00:10

Cleaning outside is a must for players who like to build human-style castles above ground. Otherwise absolutely everything gets contaminated and never cleaned.
(0009018)
kwieland (reporter)
2010-06-23 11:57

After reading this thread I am confident that this is what killed my previous fort FPS. I do think that this might be responsible for the well bug. That bug was basically don't build wells, they slow everything down.
(0009086)
hyndis (reporter)
2010-06-25 09:26

Would a freezing climate also do this? After the first blizzard the entire map will be covered in piles of snow, and snow can get tracked around just like blood does. Snow can even be tracked underground in the exact same manner blood can be tracked around.
(0009179)
kwieland (reporter)
2010-06-27 18:39

Snow melts, though, right? So you would only have a huge hit in FPS during the winter?
(0009193)
DoctorZuber (reporter)
2010-06-27 23:14

snow that gets tracked inside might not melt.

Personally I think this is one of the dwarfier issues we've got. It's not really game breaking except possibly when it becomes a FPS issue. Otherwise this one is mostly just amusing. I do think it needs to get fixed, I'm just in no hurry for it.
(0009195)
hyndis (reporter)
2010-06-27 23:17

FPS is a major factor. For small forts its fine, but with a larger fort FPS becomes the primary concern. Everything to save FPS is a major plus with regards to being able to play the game.
(0010028)
kwieland (reporter)
2010-07-12 07:49
edited on: 2010-07-16 14:28

I agree with hyndis. FPS _IS_ the game especially if you are playing on an older computer (I am), want to play larger areas (not me), more dwarfs (they do help things develop faster), or even marathon (+15 game yrs, me) games. After 5 yrs my FPS was approx. 3-7 on a 2x2 embark with only (20 Dwarfs). I had an animal die by the well, so the blood just got all over! Turning it off would be awesome.

(0010068)
DoctorZuber (reporter)
2010-07-12 14:53

oh don't get me wrong, FPS improvements are GOOD! I'm just pretty content playing 2x2 while more bugs get ironed out so I haven't personally had many FPS issues. Also my machine is not "older".

For the tracking around behaviors, I think those are actually working as intended. However this bit where blood plus water generates more blood is a real long term problem.

I think there may actually be something going on where blood is getting removed naturally. But with how fast blood multiplies it is hard to tell for sure. If any blood is actually being removed it is being quickly overpowered by this blood multiplication effect.
(0010825)
dglidden (reporter)
2010-07-22 10:00

This certainly has to be a bug related to blood & other contaminants contacting water, which, instead of diluting it, duplicates it. Blood on indoor surfaces can get cleaned. Blood outdoors never really goes anywhere. Blood in contact with water multiplies indefinitely. Snow/ice counts as water. Here's a pretty concrete example of how this can be a major problem:

http://www.bay12forums.com/smf/index.php?topic=62066.msg1420638#msg1420638 [^]
(0011508)
oolon1 (reporter)
2010-08-04 19:59

Is there an update on this? I think the severity of this bug has to be higher due to the FPS impact on the game. My CPU was handling the blood smeared everywhere, but as soon as an infected dwarf got one drop of pus near my outside front door, it exploded into a 30x30 sea of CPU-crushing nonsense. 70 FPS to 10 FPS in a matter of seconds. I'm not sure why the pus put my CPU over the edge (there had already been twelve or thirteen blood sources spread all over the place).

A possible fix to this in the near term might be to just manually designate tiles to be immediately cleaned (especially outside). I don't mind using twenty bars of soap on this, and I don't mind locking my dwarves in a burrow while one or two clean the mess, but right now it is self-replicating where contact with splatter replicates and refreshes it.

Even a temporary solution like removing the splatter spreading altogether in the next build until the bug is fixed would allow me to play the low-FPS fortress again. I'm guessing this would solve the "Clean self: Area inaccessible" bug, too.
(0011561)
wyldmage (reporter)
2010-08-06 14:17

I've also noticed an issue with this specifically relating to constructions (stairs, doors, etc).
I downloaded DHack for the cleaner "cheat" in order to undo the blood trails when they got too excessive (covering entire 30x30 areas).
After running it, all looks well, but there is apparently "hidden" blood. When Urist McStickyfeet walks up the previously blood-soaked stairs to get outside and drop off some refuse, he tracks a bit of blood (and then, as per this bug, that tracking will track further). I've found the only way to prevent this is to remove ALL construction that has had blood tracked past it, THEN run the cleaner.

So this is either a related or unrelated bug, I'm not sure, but figured it should be posted here at least for the time being.
(0011619)
Starkweather (reporter)
2010-08-07 21:30

I had the same problem -- multiple pools of blood from long dead creatures that are constantly tracked about the fortress.

I was going to suggest that you download DF Hack and run dfcleanmap.exe, but wyldmage beat me to the punch.
(0011724)
drakiskier (reporter)
2010-08-11 18:06

im having a similar problem. i had an accident with irigation of a large open underground area for making trees, and ended up washing most of my dwarves...

now almost my entire treefarm is drenched in blood, and nothing will grow where the blood is!
(0012620)
hyndis (reporter)
2010-09-13 15:26

Still seeing this in 31.12, blood everywhere!

It should dry up. Blood begins to dry within minutes of touching air. I miss the old cleanup blood on season change with the old version, where any blood above or below ground would vanish on the change of a season. This means you can have some blood tracked around, but after a while it dries up and just goes away.

Blood also biodegrades, and so if left alone a puddle of blood will first dry up, then vanish completely.
(0012622)
Quietust (reporter)
2010-09-13 21:46

After running a fortress for several years, I took a look at a pet cow and discovered that it had nearly one hundred pages of blood spatters on its hooves and other body parts. Beyond a certain point, blood spatters should become a bit more generic than they currently are - rather than having spatters of blood from dozens of specific goblins coating, it should probably be simplified at some point to just "goblin blood".
(0012631)
kwieland (reporter)
2010-09-14 09:16

Q, can you run the dfcleanmap mentioned above? It would be interesting to see what the FPS hit is due to these splatters all over.

Also, I've noticed that the problem really is related to blood water. Dwarfs cleaning really means that the water now has all that blood on it. But, like was mentioned about, even if the dwarfs clean the well, it is still contaminated with blood. So, the next dwarf to come along tracks all that blood plus whatever they're trying to clean off themselves.
(0012636)
Quietust (reporter)
2010-09-14 12:01

I've been using dfcleanmap very heavily in that fortress, so I have no idea how low my framerate would be by this point had I not been using it.
(0012672)
jei (reporter)
2010-09-15 17:07

I suspect blood spatter is what has been lagging all my forts thus far. There's nothing else to explain the FPS going steadily down as much no matter what I do.

Is there a way to turn off blood spatter altogether for Linux?
(0012673)
jei (reporter)
2010-09-15 17:31

This needs to be high priority.
(0012812)
clay1039 (reporter)
2010-09-19 07:06
edited on: 2010-09-19 07:07

Just thought I would say that I am seeing this bug also.... including in 31.13. It wasn't too bad until an irrigation accident almost drowned a dwarf. The dwarf escaped but I think he must have had some blood splatters on him... which got washed off onto the floor and which is now multiplying and spreading and covering my beautiful fortress with blood. Looking forward to this bug getting fixed! And would vote for bumping the priority up from "low" to "medium" or something.

(0012820)
jei (reporter)
2010-09-19 12:22

>>Q, can you run the dfcleanmap mentioned above? It would be interesting to see what the FPS hit is due to these splatters all over.

This is apparently not fixable by mere Dorf Science, but requires Toady to discover and magic away the real causes of FPS loss, some of the said Dorf Science is available here:
http://www.bay12forums.com/smf/index.php?topic=66385.0 [^]

Boiling blood, liquids and dfcleanmap tried by one, no positive results to regain any of the lost FPS. None with my fort either, though I've not tried dfcleanmap yet. Now I suspect verminsplosion may play a big part in the FPS loss, since bloodcleanup and boiling didn't work at all.
(0012894)
akd (reporter)
2010-09-22 11:41
edited on: 2010-09-22 11:45

A dungeon area known to have some "flooding" issues, and the main outside meeting area suffered this problem for me. Tracking dozens of people's blood which got dragged around and now is sitting in a dry mixture seems a little excessive.

Running dfcleanmap regained 0-1 FPS for me. So either the tool isn't working quite right or these spatters are not the source of my average 28 FPS. Of note is that it did not remove the countless broken bolts sitting on the ground outside my entrance, but that's not related to this issue.

Either way the problem is still very legit even if it is not causing FPS loss--it makes no sense that these things spread instead of dissolve enough to be forgotten about.

(0012912)
MaDeR Levap (reporter)
2010-09-23 05:11

AFAIK dfcleanmap not only does clean only contaiments on tiles (NOT on dorfs or items), it does not remove contaiments from game! It replaces them with null object that does not interact with anything, but still exists, is searched in lists, checked etc. No wonder FPS gain is negligible.
(0012921)
kwieland (reporter)
2010-09-23 09:54
edited on: 2010-09-26 06:12

That makes me wonder: Does changing the temperature as mentioned on the forums make the splatters disappear/cease to exist or just make them not visable? I would guess the later.

I have to think the major FPS killer is in pathing. Has anyone tried a 1-z level fort? That should seriously simplify the pathing.

I've always wondered about ramps vs stairs. Are they the same path computation wise? I ask because I had a fort that really slowed down, and I thought it was the splatter (maybe it was, meh?) but it also had lots of ramps. If the code requires even a single calculation about what squares the ramp connects, then you could see a serious hit. Dwarven science time! Above ground fort, here I come! Population limit set to 50, embark on a flat forested region, above ground farming, herbalists, the works. Might take a while, though, to see. I typically have 80 dwarfs, 20 FPS. (This is barely playable. I don't know how anyone would play at 1FPS.) If I get 80 dwarfs, I can see what the FPS is, then dig down 20+ z levels and start smelting materials. Then I can see if the FPS takes a huge hit or not.

(0012961)
Quietust (reporter)
2010-09-24 18:41

MaDeR Levap: dfcleanmap doesn't "replace them with null objects", but simply sets the contaminant "depth" to zero for all tiles in the relevant 16x16 block.

Furthermore, I just loaded a fort (where I had used dfcleanmap many times) and ran a modified version of dfcleanmap which would list every single contaminant data block and indicate the material, and the only contaminants it noted in the entire fortress were mud (material 12) and a few bits of snow (material 6 = water), so DF presumably cleans up the empty contaminant blocks on its own.
(0012964)
jei (reporter)
2010-09-24 20:29

http://dffd.wimbli.com/file.php?id=3160 [^]

My laffy FPS=1 savegame. Fort created in .12 so buggy rivers, but fell in love with town + sea + riverlife in the same (a bit large) area.

blood is set to boil in this region4 savegame, but did it too late to save FPS.
(0012966)
jei (reporter)
2010-09-24 22:00

http://dffd.wimbli.com/file.php?id=3161 [^]

Extremely laggy savegame from the first Embark get go. FPS = 20-30.
Used same set to embark elsewhere, got 160 FPS last time.

Haven't dug or built much anything, just hauling stuff.

River & Volcano combination made with high variance and slow erosion cycles.
Year 500 due to elves having been all extinct in the previous worldgen. No-elf world is dull. Maybe they still exist in this one... Others should be present.

No blood has been bled on this map yet-
(0012986)
Quietust (reporter)
2010-09-25 18:03

While the "boiling blood" technique does not appear to harm creatures on the map, it does have one very interesting long-term side effect: if blood boils below 10015 (my test was with 10001), all of your dwarves will starve to death because they consider your food stocks to be too hot to eat.
(0012992)
kwieland (reporter)
2010-09-26 06:11
edited on: 2010-09-26 06:15

@Q- I wonder if this is a consequence of the "on fire" charade, where a dwarf will pick up something on fire, take it to a table, sit down, start the table on fire.. etc?

I also embarked (4x4) on a "flat" place (tried for only one z level, but there is a z-1 area in the upper left) and started an above ground fort. I had to build up one Z level so I could construct beds, etc, but no one paths up to there. I am a bit surprised that the FPS is still around 35-40, even with only 30 dwarfs or so. I've only just started, so we'll see how things progress. I am fairly self sufficient, baring any crazy moods. I'll try to update this thread after 5 game years.

I think this just means I need a new computer (That and the fact that DF doesn't support win 2k anymore!). :)

(0013050)
jei (reporter)
2010-09-28 22:03

Here is a later savegame from the same fort, FPS is now below ten.
http://dffd.wimbli.com/file.php?id=3188 [^]

Also HFS appears to be bugged somewhat. Just dug down there, no demons, no adamantine.
(0013198)
Another (reporter)
2010-10-04 14:37

Since it is an init option now (0.31.16) this can be marked as resolved.
(0013205)
Malibu Stacey (reporter)
2010-10-05 03:43

The init option stops the tracking of blood by your Dwarves. It doesn't address the blood explosion when they go clean themselves or when any blood anywhere on your map gets any water on it.
(0013210)
smjjames (reporter)
2010-10-05 10:34

At least it's a stopgap solution until Toady can figure out what the problem is behind the whole thing.
(0013361)
Olith McHuman (reporter)
2010-10-14 03:04
edited on: 2010-10-14 03:05

I think it should be noted that this bug is made MUCH worse by the presence of deep snow (deep snow cleans creatures like water does).

1. Critter walks in splatter, gets dirty feet.
2. Critter walks in deep snow, splatters on feet get moved to snow.
(doesn't work with blood? It does work with sand and dye splatters)

Locked out invaders can mill around enough to make a ~ 12 tile diameter circle of deep splatters if there are any prexisting splaters. Merchants leave long trails along that paths thay leave by each year.

[WALKING_SPREADS_SPATTER_DWF:NO], ironically, intensifies the snow effect because the original splatters never get any smaller.

(0013363)
kwieland (reporter)
2010-10-14 06:11

Does it all go away with a melt, or does your snow ever melt? I tend to think the 40d way of removing everything ever season change was a good way to do it. Maybe if it was more like trees growing, where it doesn't happen en mass.
(0013365)
hyndis (reporter)
2010-10-14 08:34

IIRC, only rain drops entirely remove the mess. Snow does not. This means if you embark on a glacier or desert where it never rains there is no way to remove the bloody mess.
(0013376)
Quietust (reporter)
2010-10-15 09:42
edited on: 2010-10-15 09:45

I started up one of my old forts after disabling spatter spreading, and it had the rather unfortunate side effect of making my dwarves constantly run to the wells, clean themselves off, then repeat ad nauseum. Since walking through the blood no longer spreads it out, the result is multiple "pools" of blood around the well that get the dwarves' feet dirty right after they clean up. Eventually, the pools get so deep that stepping on them and washing off on a completely clean tile produces enough pools of blood to immediately make the dwarf's feet dirty again, at which point the process is nearly unstoppable.

The main problem is that the "Clean Self" job (or being exposed to water) produces way too much blood on the floor. Disabling spatter tracking does not reduce the amount of contaminants - it just consolidates and concentrates them in individual areas.

(0013377)
hyndis (reporter)
2010-10-15 10:26
edited on: 2010-10-15 10:27

Dwarves seem to like to clean up areas near meeting zones, which means if your well is close to your meeting zone and its underground it should be promptly cleaned up. Then again, it might not. Seems all very random as to which messes they clean up and when, even if you have 50+ idlers with cleaning enabled. Some messes are never cleaned up even after decades, and they're underground and on a smoothed surface.

If the blood on the ground vanished at the turn of each season, like in the previous versions, that would fix the issue. Blood will dry within minutes or hours (depending on the amount of blood) and can't be tracked around years after Urist McWantedashell went a little crazy.

(0013378)
smjjames (reporter)
2010-10-15 11:27

I wonder what was Toady's reasoning behind turning off the cleaning blood/contaminants every turn of the season.

Still, the unknown thing is that with all the new stuff, will turning it back on have any undesirable effects?

Hopefully it will be relatively easy to turn it back on, like a switch, and I mean relatively because we don't know how much coding there was behind it.

Also, there is a tool in DFhack that removes blood, so maybe chances are good that Toady can revert it until he can find a way to make it work without going into endless clean loops.
(0013380)
hyndis (reporter)
2010-10-15 13:11

The old season cleanup thing didn't effect mud or snow, so your farms would still be working fine, and if your fortress is on a glacier it would still be snow covered. But bodily fluids would all vanish, which was nice.

After a siege your lush landscaping might be painted red, but after a few months of exposure to the elements natural processes would have cleaned up the mess.

I'm not sure why Toady removed the cleanup. I would be interested in knowing the reasoning as to why it was removed. The old solution worked great. You got some smear spreading, but after a couple of months the mess would resolve itself.
(0013396)
nifboy (reporter)
2010-10-17 09:42
edited on: 2010-10-17 09:44

Noting here that in 0.31.16 with spread turned off, existing pools of blood will still attract the blood of any bloody boot that steps in it, creating super-pools of blood that, if it happens to have a poisonous forgotten beasts' extract in it, immediately poisons anyone unfortunate enough to step in it without protection.

Kind of tired of losing kittens and children to it.

(0013397)
smjjames (reporter)
2010-10-17 12:54

Okay, how does it work when you use the blood cleaner tool of DFhack? I mean does it become like 40D or what?

Granted, any new pools of blood will mess up the whole thing. Maybe we can safely narrow the problem down to the pools?

I wouldn't mind if Toady decided to switch to the old method of clearing every season, if it's possible to do so.
(0013906)
hyndis (reporter)
2010-11-15 18:55

Anything changed in 31.17? Haven't tried it yet due to the trap related bugs.

My pretty marble block tower has blood everywhere at this point, its a mishmash of red and white tiles everywhere. ;_;
(0014124)
Frogwarrior (reporter)
2010-11-21 15:09

I'm wondering what mechanisms there are in place for removing a contaminant from the game. Do spatters, smears, pools, etc have any natural degradation rate or such? In the past, as I recall, there was a sort of seasonal cleanup that kept things under control, but it appears that is no longer the case - is there any way to guarantee that a given bunch of blood, rock dust, or other contaminant will be permanently destroyed? Without some such mechanism, it seems the only way to keep spatters from taking over and possibly murdering FPS as surely as cats would be to, I dunno, wash them into a pool of water and dump in magma.
(0014125)
kwieland (reporter)
2010-11-21 16:41

You'd think that washing blood with water would clean up the mess, but it actually complicates it. Any water that touches blood contaminates becomes contaminated _without_ being diluted. So you end up with 10x the blood you started out with on walls, floors, everywhere!

I think it is a sign that Armok wants more!
(0014139)
hyndis (reporter)
2010-11-22 09:25

They don't degrade on their own. There are only two ways to do this:

1) Hope it rains. Rain drops will clean the tile they land on.
2) Hope a dwarf feels like cleaning up the mess.
(0014151)
Frogwarrior (reporter)
2010-11-22 18:29

Hmmm... Would it work to have a few dwarves with only cleaning labor turned on perhaps? Just a thought.
(0014161)
MrWiggles (reporter)
2010-11-22 23:09

Cleaning seems to be a really low priority. I dont think I've seen a dorf clean the fort.

I've seen them clean themselves, but that probably a rather separate issue.
(0014176)
hyndis (reporter)
2010-11-23 09:27

Cleaning is an extremely low priority, below even being idle. Your best bet is to make a meeting zone near the mess and have some idle dwarves there. More is better. It increases the chances one of them will eventually clean if the area is below ground, but there doesn't seem to be any way to force this to happen.
(0014180)
kwieland (reporter)
2010-11-23 11:36

I agree with hyndis. It seems that the clean task is only queued either before or after the dwarf goes to a meeting place. I've had good luck with his suggestion. It makes me think that there isn't an invisible job queue for cleaning tasks (like for "dump item").
(0014279)
hyndis (reporter)
2010-11-28 15:08
edited on: 2010-11-28 15:11

Another update! This time with science!

Dwarves will even clean blood from the caverns, which is unsmoothed and muddy. However they will only do this if these criteria are met:

1) There is blood/vomit/ichor/etc on the ground.
2) It is below ground.
3) A dwarf has cleaning enabled.
4) The dwarf is on the same Z level as the mess.
5) The mess is relatively close (X,Y) distance to the mess, approximately 15-20 tiles max distance.
6) The dwarf finishes current job.
7) The dwarf has no other jobs in his queue.


Steps 6 and 7 are critical. If the dwarf finishes his current task and is about to head back to the meeting zone and there is a mess on the same Z level as himself, the dwarf will clean it up! :D

If the dwarf has another job in his queue he'll run off and do it without cleaning.

It appears that a dwarf will only check to see if they need to clean something if the mess is sort of within visual range (even if the mess is through 5 tiles thick of solid rock they can detect it, somehow) on the same Z level, but this check is only performed at the end of the dwarf's current job.

If there are more jobs to do the dwarf will do this.

So to get a tidy fortress, you need to have a large number of tasks that start and stop repeatedly, but enough dwarves so that there is a significant idle population. The location that they start and stop these tasks is critical and governs if they clean or not.

(0014281)
kwieland (reporter)
2010-11-28 16:05
edited on: 2010-11-29 06:05

hyndis, Have you noticed that a "repeat" job doesn't cause a dwarf to look in the queue for another task? Namely, a dwarf will continue to do jobs until hungry/tired/etc. I assume this puts a damper on the clean tasks.

Your work suggests that if your workshops are on different levels from the mess (most are) then the messes will not get cleaned.

How does this meld with the observed meeting place work around? I assume the dwarfs are "on break" first and they go to the meeting place. Then when they get done breaking, they look to the queue. If they don't have anything (7 above) then they look around and clean the mess. Does that sound right?

(0014284)
hyndis (reporter)
2010-11-28 17:07

The only check to clean a mess near them if they end a job and go to "no job" which means they're an idler in your meeting hall.

You could do this with a custom workshop with custom jobs. For example, have a plant seeds task at the workshop and then a mason job. Put them on both on repeat.

Your farmer will go to the workshop and do his thing, then will become idle. If there are no other things that need doing he'll clean something nearby before heading to the meeting zone. Then a mason will go to the workshop, do his thing, and on his way back to the meeting zone he'll clean something as well.

This is of course an incredibly clunky workaround, but it does work.
(0014286)
hyndis (reporter)
2010-11-28 17:20

Another way to do this is to use engravers with cleaning enabled.

Designate one tile to be smoothed or engraved near the mess. Not on the mess itself, but near. And only one tile to be smoothed. The engraver will go over there and smooth that one tile. Then, assuming he has nothing else to do, he will clean the mess after he's done engraving.
(0015628)
Footkerchief (manager)
2011-03-01 08:59

Reminder sent to: barconis, derigo, DoctorZuber, Draco18s, Frogwarrior, hyndis, jei, king doom, Kwahn, kwieland, Quietust, SirPenguin, smjjames

31.19 Release Notes: [...] creatures, items and vegetation don't pick up as many contaminants now.

Since Toady has worked on the spatter/contaminant issues for 31.19, we need information about the current status of this bug. Is there still a large FPS impact? Does spatter still propagate and multiply itself in buggy ways?
(0015653)
kwieland (reporter)
2011-03-01 20:49

Maybe Q can reply. I have a win2k box and so I haven't been tracking the latest builds.
(0015726)
Quietust (reporter)
2011-03-04 08:52

I haven't been playing 0.31.19 either - too many bugs (and balance problems with the extremely limited availability/variety of minerals).
(0015732)
hyndis (reporter)
2011-03-04 16:00

Haven't done much with 31.19.
(0015734)
Kwahn (reporter)
2011-03-04 17:24

I haven't seen anything with this bug anymore. It seems to be fixed as far as I can tell.
(0015740)
DoctorZuber (reporter)
2011-03-04 19:19
edited on: 2011-03-04 19:50

I'm not so sure I would call it fixed so much as contaminants have been dumbed down. Blood is still generated from killing, but this is basically a reversion to 40d behavior. Dust from stone no longer appears at all. Mud does appear when water is added, but again, this is still just 40d behavior.

As for dwarves "tracking" things around that appears to be completely disabled right now. The contaminants do appear to accumulate on the boot, but they stay there and never leave unless the dwarf gets wet.

Now as for water, this does seem to be improved. Adding water to a pool of blood as I did before in my arena tests no longer seems to duplicate the blood. It pushes it around and spreads it into smaller smears and spatters. That much appears to work correctly.

My FPS is truly horrid, I am unsure of the cause. It has been averaging 30, and during a siege it can dip down to as low as 3. I do have a lot of contaminants on my map. The soap bug is still around so I've given up on trying to use soap at all. I have ghosts under control so that's not the problem. So lag from contaminants is certainly possible, but I have no way to say for certain.

The various display errors (0000357, 0000167, 0000322) caused by contaminants are still very much alive and kicking.

(0015748)
Granite26 (reporter)
2011-03-05 05:51

This particular bug appears to be gone. I've got dead things, and splatters, and dwarves and dogs walking over it all, and it's not being tracked around.

The map I'm on even has large red splotches (probably due to a moving fight rather than tracking).
(0015775)
DoctorZuber (reporter)
2011-03-05 15:21
edited on: 2011-03-05 15:21

well, if you're strictly asking about the blood multiplying with water, that much appears to be fixed, although I can't say for certain with cleaning still broken.

I think "tracking" blood is simply turned off entirely, not turned down. I am hoping this is a temporary situation. Useful for now since cleaning,soap, and many other bugs are still present. But once everything is fixed I'd like to see contaminant tracking return.

(0015779)
Knight Otu (manager)
2011-03-05 16:33

Have those of you who tested it remembered to allow contaminant tracking in d_init? Remember it defaults to NO in Dwarf mode.
(0015781)
DoctorZuber (reporter)
2011-03-05 17:08

no, didn't notice that change in the init files. I'll take a look at that.
(0015782)
SirPenguin (reporter)
2011-03-05 17:41

Loading up Gemclod in .19 produces no difference in FPS. Gemclod, a well known SA DF LP (lots of acronyms!), has a pop of 120+ filthy dwarves
(0015788)
DoctorZuber (reporter)
2011-03-05 23:10

okay, thanks Knight_Otu for pointing out the D_init thing.

[WALKING_SPREADS_SPATTER_DWF:YES]
ran dfcleanmap recently.
Faced one siege of goblins which were handily butchered.
Less than a season later we see...

Rough Slate Block Wall
a spattering of usbu gutdingeo...
a spattering of troll blood
a spattering of Bax Poisonplun...
a pool of Bosa Witchbust's gob...
a spattering of Utes Tickteach...
a spattering of Em Weretundras...
a spattering of troll blood
a spattering of Stozu Terrorre...
a spattering og Ves Esteemeart...
A pool of Amxu Screamedplague'

Soo.... I would say no, not fixed at all.

Also. How the heck do you get a pool of blood ON A WALL!? Or for that matter, on a grate? This issue still needs work.
(0015966)
tatterdemalian (reporter)
2011-03-08 11:31

Sadly, one of Toady's standing design decisions is to model tiles, not surfaces. If there's blood on more than one of a wall's surfaces, the wall tile is considered covered with a pool of blood, just as a floor tile with the same amount of blood on it. Changing the basic design of the game isn't likely to happen at this point, though it would be nice if blood would dry up, drain away into soil and/or aquefiers, or be consumed by vermin.
(0015967)
Granite26 (reporter)
2011-03-08 12:05

I've got a bunch of goblin blood at the entrance to my fort. It's SLOWLY spreading out. Problem is, it's a dry biome, it never rains, so it's there forever. It's not reached lag proportions several years in, though.
(0015972)
hyndis (reporter)
2011-03-08 13:08

In 40D at the turn of each season spatter would be cleaned up everywhere. Its a bit gamey as it vanishes on its own, but its a worthwhile abstraction of natural processes that are not modeled in the game. Just run a check four times a game year, and delete spatter. IRL blood dries up and is degraded very quickly.
(0016133)
DoctorZuber (reporter)
2011-03-11 20:45

Tiles or no tiles, it doesn't take a genius to recognize that a pool cannot form on a wall.

It wouldn't be hard to simply MOVE any pools that form on walls to an adjacent floor tile.

By the same logic, it wouldn't be hard to fix grates so that a pool cannot form ON a grate.

These aren't hard concepts. There is no real excuse to ignore this.
(0016325)
Infiltrator (reporter)
2011-03-17 07:10

Eeesh zuber; I think you need to relax a little. After all, Toady is just one guy and there is a LOT for him to do. Besides, a quick hack now more than often results in a LOT MORE work later on. I know from personal experience. :P

So the best way to go about it is with careful design, not reflex hacks.
(0016339)
hyndis (reporter)
2011-03-17 13:00

You can get rid of it by constructing a paved road or buildings over it. Kennels are probably ideal for this because of their 5x5 size and only require 1 item to build, so for speed its great. It will remove all messes on the 5x5 tiles its on. You can then deconstruct it.

Likewise for constructed walls you can deconstruct them and rebuild them. This will clean it up.

But again, problem with this is that its all manual, cleanup isn't done automatically.
(0016491)
kwieland (reporter)
2011-03-23 06:56

I don't have a well or any water inside this fortress. That makes the dwarfs wash themselves outside (even the classic DF of them running through goblins!). They all choose a different spot and "drop" the blood pools, which disappear over time. I'm not sure if it is rain or the change of seasons. So I guess the ideal is to have a large area where they can wash? I don't have any of the tracking problems, though.
(0016493)
hyndis (reporter)
2011-03-23 08:57

Blood no longer tracks, but the puddles remain there. If they're cleaning at places like ponds outdoors raindrops will clean it up. Check to see when it rains. You can see the raindrops hit the ground. If they hit the ground where a dirty dwarf is standing it will clean the dwarf, with the mess dropping to the ground on the same tile the dwarf is in. If another raindrop hits that tile where the mess is on the ground the rain cleans it up.
(0016999)
hyndis (reporter)
2011-04-02 22:37

Update for 31.25:

While the mess isn't being spread around in .25, it still exists and is impossible to get rid of for surface forts due to the lack of cleaning.

Everyone rushes over to the well or river to wash up, leaving a mess on the ground. They instantly get dirty again, so need to wash up again, but then they get dirty right away, and so on and so forth. The only real way to break the cycle of endless cleaning is to have a washing zone below ground that can be cleaned up.

While raindrops do clean the tile they land on, rain is very hit or miss, and only works if the area is outdoors in a biome that rains. Indoors but above ground you're out of luck, need to use that hack utility to clean stuff up.
(0017005)
kwieland (reporter)
2011-04-03 07:33

hyndis, have you tried designating a large cleaning area or just not designating one at all? For my fort without a well, the dwarfs spread out and used a lot of different areas near ponds/stream (only 20 dwarfs). Anyway, they didn't have the recontamination problem.
(0017011)
hyndis (reporter)
2011-04-03 09:44

With not designating any water zone the dwarves just clean at the nearest pond, however the recontamination still happens.

My forts do have large populations of 150+.

Making a designated water zone underground means that the cleaning labor will be enabled by an idle dwarf, so the mess doesn't keep piling up. Above ground I just have to hope a raindrop hits the tile with the bloody mess on it, but it multiplies far faster than rain can clean it up to the point that every single water source on the map is completely surrounded by blood.
(0017049)
kwieland (reporter)
2011-04-04 05:52

You must be playing with lots of blood. Can you contain where the blood happens or who gets contaminated?
(0018040)
Dekon (reporter)
2011-06-24 19:32

Even using a map cleanup tool, blood is infinite

Apparently a capybara died sometime in the early period of my fort, leaving blood behind

Six or seven years later, dwarves are still cleaning themselves of blood. I've tried using the mapcleaner utility every time they leave a bloodsplatter, to the point where I've used it dozens of times with every clean self... but it's never enough. It's just an infinite amount of capybara blood.
(0021337)
Kwahn (reporter)
2012-03-10 10:16

This issue seems to have been resolved LONG ago... Not sure if this should still be open, just my own personal note on the situation.
(0021339)
Footkerchief (manager)
2012-03-10 13:11

This issue seems to have been resolved LONG ago... Not sure if this should still be open, just my own personal note on the situation.

Probably because spatter tracking is now disabled by default in d_init.txt. I don't think the spatter multiplication bug has actually been fixed.
(0021654)
kaypy (reporter)
2012-03-22 08:34

http://dffd.wimbli.com/file.php?id=5967 [^] is a simple 34.05 test case for demonstrating the current version of the problem (and doing a little !!science!! to check the problem still works as I remember it)

The basic issue as it currently stands is that water+any contaminant creates a contaminant pool which, if the water dries, can then spread to others.

This is most noticeable on the surface where in the rain, creatures will randomly get wet and drop contaminant pools. Chances are they will be in high traffic areas (because more creatures spend more time there) where the contaminant will have a high chance of spreading. While I believe rain has a chance of cleaning the map tiles, the odds are that for every tile cleaned, you will have more than two new contaminated creatures.
(0023259)
ironlion45 (reporter)
2012-07-17 20:47

I can reproduce blood in the water with regularity; if any creature is slain near a water source, it's blood remains tainting that source indefinitely (even a running water source).

In a recent fort, a few mandrills were slain by the entrance of the fort in the first summer. They were killed above an aquifer. Several years later, and 3 z-levels below, I tapped this aquifer to fill an irrigation cistern. Upon covering the rock with water, there was years-old mandrill blood in it all over.
(0031610)
ptb_ptb (reporter)
2014-12-31 05:03

This has been, at the least, toned down a lot. The following picture is from an 8 year old fortress with seven dwarves. Buzzard and dog blood has been tracked around a fair bit, but possibly not to an excessive degree.

http://imagr.eu/up/54a3f3874ea8c_buzzardsvsdogs.png [^]

The problem is that cleaning jobs are very rarely generated. Dwarves walk over that area all the time and there are often dwarves with free time available, but it is very rare that a tile will actually be cleaned.

Save file on request.
(0031619)
fricy (reporter)
2014-12-31 09:35
edited on: 2014-12-31 09:42

I disagree, cleaning jobs have been fixed in 40.x, at least compared to 34.11. I rarely see blood/vomit inside the fortress (-40.19) if I have enough idle dwarves to clean. My guess is that your 7 dwarves are too busy to take care of this.
Caverns/outside is a different matter though. :)
Wouldn't it be logical if organic contaminants (blood, vomit, leaves, fruits, etc.) to rot away over time generating miasma? (sorry if it's too suggestiony)

Edit: After some thinking: It looks like some tiles do not generate cleaning jobs if the fort has been going on for enough time. It's random, and reminds me of the bug where some items don't get moved into stockpiles even though there's enough place, the settings are good and you have idle dwarves too. In my latest fort I have some armor pieces that were upgraded by the squad and they sit around where they have been dropped and not taken to the smelt pile.

(0031635)
ptb_ptb (reporter)
2015-01-01 10:48
edited on: 2015-01-01 10:55

Well, under some circumstances clean jobs are generated. A dwarf got accidentally stuck on the wrong side of the wall with no way back to the fortress. While he was there he decided to clean up a long trail of blood splatter.

On the other side of the wall blood splatter is being resolutely ignored, even when most or all of the dwarves are idle. To test this better I set the meeting hall over an area with blood splatter, to encourage dwarves to see it. On
1008 16th Slate Mid-Spring
there are nine tiles inside the meeting area with blood splatter. I set all labor preferences off except for 'clean'.


.... Aaand they clean it up with no trouble. :/

Well, I'll keep an eye open and see if I can get any reproducible anomalies with cleaning, but I guess it's working?

(0032941)
Loci (manager)
2015-07-26 16:05

Dwarves not cleaning is 0000425; this report is for excessive spreading of contaminants.
(0035011)
Loci (manager)
2016-04-13 13:19

v0.42.06: Ever-growing pools of blueberry wine in my alpaca pasture confirm that this bug is still present.
(0035699)
Loci (manager)
2016-07-23 19:42

v0.43.05: Ogg the Blinky Sock posted a save in 0009936:

http://dffd.bay12games.com/file.php?id=12292 [^]

- Issue History
Date Modified Username Field Change
2010-04-03 12:40 Kwahn New Issue
2010-04-03 12:44 Footkerchief Note Added: 0000622
2010-04-03 12:51 Kwahn Note Added: 0000628
2010-04-03 13:01 Kwahn Note Added: 0000633
2010-04-03 13:26 garanis Tag Attached: blood
2010-04-03 13:26 garanis Tag Attached: spatter
2010-04-03 13:33 DoctorZuber Note Added: 0000642
2010-04-03 13:34 DoctorZuber Note Edited: 0000642 View Revisions
2010-04-03 14:52 SirPenguin Note Added: 0000669
2010-04-03 14:52 Kwahn Note Added: 0000670
2010-04-03 14:53 Kwahn Note Edited: 0000670 View Revisions
2010-04-03 18:29 chuzzum Issue Monitored: chuzzum
2010-04-03 20:21 DoctorZuber Note Added: 0000765
2010-04-04 12:03 DoctorZuber Note Added: 0000903
2010-04-04 12:05 DoctorZuber Note Edited: 0000903 View Revisions
2010-04-04 12:57 DoctorZuber Note Edited: 0000903 View Revisions
2010-04-04 15:09 DoctorZuber Note Edited: 0000903 View Revisions
2010-04-04 20:18 Kwahn Note Added: 0000988
2010-04-05 10:19 Footkerchief Relationship added has duplicate 0000484
2010-04-05 12:51 InsanityPrelude Note Added: 0001172
2010-04-05 15:16 King of the Internet Note Added: 0001227
2010-04-07 11:57 Kwahn Note Added: 0001815
2010-04-07 12:01 DoctorZuber Note Added: 0001816
2010-04-07 15:34 DoctorZuber Note Added: 0001868
2010-04-07 15:36 DoctorZuber Note Edited: 0001868 View Revisions
2010-04-07 15:37 DoctorZuber Note Edited: 0001868 View Revisions
2010-04-07 15:39 DoctorZuber Note Edited: 0001868 View Revisions
2010-04-07 15:40 DoctorZuber Note Edited: 0001868 View Revisions
2010-04-07 15:41 DoctorZuber Note Edited: 0001868 View Revisions
2010-04-07 16:05 DoctorZuber Note Added: 0001876
2010-04-08 00:22 Footkerchief Relationship added has duplicate 0000777
2010-04-08 00:23 Footkerchief Relationship replaced parent of 0000777
2010-04-08 13:42 Footkerchief Category Dwarf Mode -- Environment => Contaminants/Spatter
2010-04-08 13:42 Footkerchief Summary Expanding Blood smears and smatterings? => Pools/smears/spatters of blood, dust and other materials get tracked around too much
2010-04-08 14:28 Chthonic Note Added: 0002159
2010-04-09 14:50 Footkerchief Relationship added has duplicate 0000894
2010-04-10 02:12 Silverionmox Note Added: 0002536
2010-04-11 03:23 Lightning4 Note Added: 0002768
2010-04-11 03:23 Lightning4 Note Edited: 0002768 View Revisions
2010-04-11 19:50 Draco18s Note Added: 0002952
2010-04-11 22:30 DoctorZuber Note Added: 0002981
2010-04-12 18:16 Draco18s Note Added: 0003172
2010-04-12 18:16 Draco18s Note Edited: 0002952 View Revisions
2010-04-12 21:34 Draco18s Note Edited: 0003172 View Revisions
2010-04-12 21:34 Draco18s Note Edited: 0003172 View Revisions
2010-04-12 21:35 Draco18s Note Added: 0003202
2010-04-12 21:57 Draco18s Note Edited: 0003202 View Revisions
2010-04-13 07:02 Brybry Note Added: 0003248
2010-04-13 07:21 DoctorZuber Note Added: 0003250
2010-04-13 07:22 DoctorZuber Note Edited: 0003250 View Revisions
2010-04-13 08:25 Draco18s Note Added: 0003257
2010-04-14 15:16 random51 Note Added: 0003563
2010-04-14 15:57 random51 Note Edited: 0003563 View Revisions
2010-04-15 06:05 Manatee Note Added: 0003659
2010-04-15 08:55 Footkerchief Relationship added has duplicate 0001192
2010-04-15 10:22 DoctorZuber Note Added: 0003713
2010-04-15 10:29 DoctorZuber Note Edited: 0003713 View Revisions
2010-04-15 10:30 DoctorZuber Note Edited: 0003713 View Revisions
2010-04-15 12:56 GlacialEidolon Note Added: 0003745
2010-04-15 17:02 darkfred Note Added: 0003771
2010-04-15 17:02 darkfred Issue Monitored: darkfred
2010-04-15 17:53 Lac Tag Attached: clean self
2010-04-15 23:32 thelonegoldfish Note Added: 0003808
2010-04-18 11:45 Footkerchief Relationship replaced has duplicate 0000777
2010-04-18 11:52 Footkerchief Relationship added has duplicate 0000884
2010-04-18 15:09 bloodystump Issue Monitored: bloodystump
2010-04-19 16:26 king doom Note Added: 0004278
2010-04-20 00:03 Anarchy69 Issue Monitored: Anarchy69
2010-04-21 10:44 barconis Note Added: 0004464
2010-04-22 15:31 Footkerchief Note Added: 0004643
2010-04-22 16:02 RusAnon Issue Monitored: RusAnon
2010-04-22 22:26 derigo Note Added: 0004676
2010-04-25 08:05 fake_robot Note Added: 0004985
2010-04-25 14:13 barconis Issue Monitored: barconis
2010-04-25 14:47 DoctorZuber Note Added: 0005038
2010-04-26 10:52 Thoranius Note Added: 0005145
2010-04-26 17:34 Footkerchief Relationship added has duplicate 0001175
2010-05-01 09:20 barconis Note Added: 0005823
2010-05-01 13:24 DoctorZuber Note Added: 0005849
2010-05-01 23:31 fake_robot Issue Monitored: fake_robot
2010-05-02 03:11 Jiri Petru Note Added: 0005907
2010-05-02 05:06 RusAnon Note Added: 0005909
2010-05-03 15:01 Footkerchief Relationship added has duplicate 0001725
2010-05-04 05:34 gruftschreck Note Added: 0006088
2010-05-04 09:03 DoctorZuber Note Added: 0006090
2010-05-04 13:17 hyndis Note Added: 0006115
2010-05-04 22:03 kelpi Note Added: 0006135
2010-05-07 19:50 Skandraken Issue Monitored: Skandraken
2010-05-08 10:04 estokien Note Added: 0006416
2010-05-08 14:03 king doom Note Added: 0006426
2010-05-08 16:12 Aescula Note Added: 0006431
2010-05-22 00:10 Gamli Note Added: 0007164
2010-05-23 22:12 Footkerchief Relationship added parent of 0002044
2010-05-26 16:00 whotfoot Issue Monitored: whotfoot
2010-06-06 16:14 Footkerchief Relationship added has duplicate 0002181
2010-06-11 12:42 Conti Issue Monitored: Conti
2010-06-11 12:46 Footkerchief Sticky Issue No => Yes
2010-06-23 05:54 Kyle_Solo Issue Monitored: Kyle_Solo
2010-06-23 11:54 kwieland Issue Monitored: kwieland
2010-06-23 11:57 kwieland Note Added: 0009018
2010-06-25 09:26 hyndis Note Added: 0009086
2010-06-27 18:39 kwieland Note Added: 0009179
2010-06-27 23:14 DoctorZuber Note Added: 0009193
2010-06-27 23:17 hyndis Note Added: 0009195
2010-06-30 13:16 Footkerchief Relationship added related to 0000257
2010-07-05 09:27 Footkerchief Summary Pools/smears/spatters of blood, dust and other materials get tracked around too much => Pools/smears/spatters of blood, dust and other materials multiply themselves, get tracked around too much
2010-07-07 00:58 rinosaniol Issue Monitored: rinosaniol
2010-07-11 10:01 Profligate Issue Monitored: Profligate
2010-07-12 07:49 kwieland Note Added: 0010028
2010-07-12 14:53 DoctorZuber Note Added: 0010068
2010-07-13 02:09 ChickenLips Issue Monitored: ChickenLips
2010-07-14 19:56 Logical2u Relationship added duplicate of 0002692
2010-07-14 19:56 Logical2u Relationship replaced has duplicate 0002692
2010-07-16 14:28 kwieland Note Edited: 0010028 View Revisions
2010-07-16 14:28 kwieland Note Edited: 0010028 View Revisions
2010-07-20 14:07 bobbens Issue Monitored: bobbens
2010-07-22 10:00 dglidden Note Added: 0010825
2010-07-22 11:17 Footkerchief Relationship added has duplicate 0002784
2010-07-24 19:23 Khym Chanur Issue Monitored: Khym Chanur
2010-08-04 19:59 oolon1 Note Added: 0011508
2010-08-05 11:14 Kon Issue Monitored: Kon
2010-08-05 18:04 HebaruSan Issue Monitored: HebaruSan
2010-08-06 14:17 wyldmage Note Added: 0011561
2010-08-07 21:30 Starkweather Note Added: 0011619
2010-08-11 18:06 drakiskier Note Added: 0011724
2010-08-12 10:48 theqmann Issue Monitored: theqmann
2010-08-30 18:22 Dwarfu Relationship added parent of 0003110
2010-09-13 15:26 hyndis Note Added: 0012620
2010-09-13 21:46 Quietust Note Added: 0012622
2010-09-14 09:16 kwieland Note Added: 0012631
2010-09-14 11:15 Moonshine Fox Issue Monitored: Moonshine Fox
2010-09-14 12:01 Quietust Note Added: 0012636
2010-09-14 17:08 RossM Issue Monitored: RossM
2010-09-15 17:07 jei Note Added: 0012672
2010-09-15 17:31 jei Note Added: 0012673
2010-09-17 15:44 Logical2u Relationship added parent of 0003267
2010-09-19 07:06 clay1039 Note Added: 0012812
2010-09-19 07:06 clay1039 Issue Monitored: clay1039
2010-09-19 07:07 clay1039 Note Edited: 0012812 View Revisions
2010-09-19 12:22 jei Note Added: 0012820
2010-09-22 11:41 akd Note Added: 0012894
2010-09-22 11:45 akd Note Edited: 0012894 View Revisions
2010-09-23 04:49 MaDeR Levap Issue Monitored: MaDeR Levap
2010-09-23 05:11 MaDeR Levap Note Added: 0012912
2010-09-23 09:54 kwieland Note Added: 0012921
2010-09-23 13:49 Supermathie Issue Monitored: Supermathie
2010-09-24 18:41 Quietust Note Added: 0012961
2010-09-24 20:20 jei Note Added: 0012963
2010-09-24 20:27 jei Note Deleted: 0012963
2010-09-24 20:29 jei Note Added: 0012964
2010-09-24 21:55 jei Note Added: 0012965
2010-09-24 21:56 jei Note Deleted: 0012965
2010-09-24 22:00 jei Note Added: 0012966
2010-09-25 18:03 Quietust Note Added: 0012986
2010-09-26 06:11 kwieland Note Added: 0012992
2010-09-26 06:12 kwieland Note Edited: 0012921 View Revisions
2010-09-26 06:15 kwieland Note Edited: 0012992 View Revisions
2010-09-26 17:50 Logical2u Relationship added parent of 0003324
2010-09-28 08:46 schm0 Issue Monitored: schm0
2010-09-28 11:46 Dame de la Licorne Issue Monitored: Dame de la Licorne
2010-09-28 22:03 jei Note Added: 0013050
2010-10-04 14:37 Another Note Added: 0013198
2010-10-04 14:38 Another Tag Attached: CLOSE THIS
2010-10-04 18:39 Dame de la Licorne Issue End Monitor: Dame de la Licorne
2010-10-05 03:43 Malibu Stacey Note Added: 0013205
2010-10-05 04:28 endrin Issue Monitored: endrin
2010-10-05 06:28 Dame de la Licorne Issue Monitored: Dame de la Licorne
2010-10-05 10:34 smjjames Note Added: 0013210
2010-10-05 13:39 Shurikane Issue Monitored: Shurikane
2010-10-14 03:04 Olith McHuman Note Added: 0013361
2010-10-14 03:05 Olith McHuman Note Edited: 0013361 View Revisions
2010-10-14 06:11 kwieland Note Added: 0013363
2010-10-14 08:34 hyndis Note Added: 0013365
2010-10-15 09:42 Quietust Note Added: 0013376
2010-10-15 09:45 Quietust Note Edited: 0013376 View Revisions
2010-10-15 10:26 hyndis Note Added: 0013377
2010-10-15 10:27 hyndis Note Edited: 0013377 View Revisions
2010-10-15 11:27 smjjames Note Added: 0013378
2010-10-15 11:27 smjjames Issue Monitored: smjjames
2010-10-15 13:11 hyndis Note Added: 0013380
2010-10-15 13:23 Logical2u Tag Detached: CLOSE THIS
2010-10-17 09:42 nifboy Note Added: 0013396
2010-10-17 09:44 nifboy Note Edited: 0013396 View Revisions
2010-10-17 12:54 smjjames Note Added: 0013397
2010-11-03 14:06 jwest23 Issue Monitored: jwest23
2010-11-15 18:55 hyndis Note Added: 0013906
2010-11-21 15:09 Frogwarrior Note Added: 0014124
2010-11-21 16:41 kwieland Note Added: 0014125
2010-11-22 09:25 hyndis Note Added: 0014139
2010-11-22 18:29 Frogwarrior Note Added: 0014151
2010-11-22 23:09 MrWiggles Note Added: 0014161
2010-11-23 09:27 hyndis Note Added: 0014176
2010-11-23 11:36 kwieland Note Added: 0014180
2010-11-28 15:08 hyndis Note Added: 0014279
2010-11-28 15:11 hyndis Note Edited: 0014279 View Revisions
2010-11-28 16:05 kwieland Note Added: 0014281
2010-11-28 17:07 hyndis Note Added: 0014284
2010-11-28 17:20 hyndis Note Added: 0014286
2010-11-29 06:05 kwieland Note Edited: 0014281 View Revisions
2010-12-03 10:54 Footkerchief Relationship added has duplicate 0000298
2010-12-03 10:54 Footkerchief Issue Monitored: Footkerchief
2010-12-05 17:29 hyperactiveChipmunk Issue Monitored: hyperactiveChipmunk
2010-12-05 17:29 hyperactiveChipmunk Issue End Monitor: hyperactiveChipmunk
2010-12-22 15:19 hyperactiveChipmunk Issue Monitored: hyperactiveChipmunk
2011-02-07 07:13 Footkerchief Relationship added related to 0003937
2011-02-24 14:51 Glacial Issue Monitored: Glacial
2011-03-01 08:59 Footkerchief Issue Monitored: derigo
2011-03-01 08:59 Footkerchief Issue Monitored: DoctorZuber
2011-03-01 08:59 Footkerchief Issue Monitored: Draco18s
2011-03-01 08:59 Footkerchief Issue Monitored: Frogwarrior
2011-03-01 08:59 Footkerchief Issue Monitored: hyndis
2011-03-01 08:59 Footkerchief Issue Monitored: jei
2011-03-01 08:59 Footkerchief Issue Monitored: king doom
2011-03-01 08:59 Footkerchief Issue Monitored: Quietust
2011-03-01 08:59 Footkerchief Issue Monitored: SirPenguin
2011-03-01 08:59 Footkerchief Note Added: 0015628
2011-03-01 20:49 kwieland Note Added: 0015653
2011-03-04 08:43 Footkerchief Tag Attached: AWAITING UPDATE
2011-03-04 08:52 Quietust Note Added: 0015726
2011-03-04 08:52 Quietust Issue End Monitor: Quietust
2011-03-04 16:00 hyndis Note Added: 0015732
2011-03-04 17:24 Kwahn Note Added: 0015734
2011-03-04 19:19 DoctorZuber Note Added: 0015740
2011-03-04 19:29 DoctorZuber Note Edited: 0015740 View Revisions
2011-03-04 19:33 DoctorZuber Note Edited: 0015740 View Revisions
2011-03-04 19:48 DoctorZuber Note Edited: 0015740 View Revisions
2011-03-04 19:50 DoctorZuber Note Edited: 0015740 View Revisions
2011-03-05 05:51 Granite26 Note Added: 0015748
2011-03-05 06:40 Dwarfu Relationship replaced has duplicate 0003937
2011-03-05 10:16 Footkerchief Relationship deleted has duplicate 0003937
2011-03-05 10:23 Footkerchief Relationship added related to 0002166
2011-03-05 15:21 DoctorZuber Note Added: 0015775
2011-03-05 15:21 DoctorZuber Note Edited: 0015775 View Revisions
2011-03-05 16:08 Footkerchief Relationship replaced has duplicate 0003267
2011-03-05 16:08 Footkerchief Issue Monitored: Rafal99
2011-03-05 16:08 Footkerchief Issue Monitored: Cakeonslaught
2011-03-05 16:08 Footkerchief Issue Monitored: zwei
2011-03-05 16:08 Footkerchief Issue Monitored: Asarulex
2011-03-05 16:08 Footkerchief Issue Monitored: Azzaizan
2011-03-05 16:08 Footkerchief Issue Monitored: Kogut
2011-03-05 16:33 Knight Otu Note Added: 0015779
2011-03-05 17:08 DoctorZuber Note Added: 0015781
2011-03-05 17:41 SirPenguin Note Added: 0015782
2011-03-05 23:10 DoctorZuber Note Added: 0015788
2011-03-08 11:31 tatterdemalian Note Added: 0015966
2011-03-08 12:05 Granite26 Note Added: 0015967
2011-03-08 13:08 hyndis Note Added: 0015972
2011-03-11 20:45 DoctorZuber Note Added: 0016133
2011-03-17 05:52 afftor Issue Monitored: afftor
2011-03-17 07:10 Infiltrator Note Added: 0016325
2011-03-17 07:10 Infiltrator Issue Monitored: Infiltrator
2011-03-17 13:00 hyndis Note Added: 0016339
2011-03-21 12:26 Symmetry Issue Monitored: Symmetry
2011-03-21 17:39 Dwarfu Relationship added has duplicate 0004300
2011-03-23 06:56 kwieland Note Added: 0016491
2011-03-23 08:57 hyndis Note Added: 0016493
2011-03-24 06:52 afftor Issue End Monitor: afftor
2011-04-01 07:31 king doom Issue End Monitor: king doom
2011-04-01 13:07 Footkerchief Relationship added has duplicate 0000886
2011-04-01 13:12 Footkerchief Relationship added related to 0000167
2011-04-02 22:37 hyndis Note Added: 0016999
2011-04-03 07:33 kwieland Note Added: 0017005
2011-04-03 09:44 hyndis Note Added: 0017011
2011-04-04 05:52 kwieland Note Added: 0017049
2011-06-24 19:32 Dekon Note Added: 0018040
2011-06-26 12:36 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2012-02-22 10:26 Footkerchief Relationship deleted related to 0002166
2012-02-22 10:28 Footkerchief Relationship replaced has duplicate 0002044
2012-02-22 10:29 Footkerchief Relationship replaced has duplicate 0003110
2012-02-26 11:46 Buglist Issue Monitored: Buglist
2012-03-10 10:16 Kwahn Note Added: 0021337
2012-03-10 13:11 Footkerchief Note Added: 0021339
2012-03-15 02:55 kento Issue Monitored: kento
2012-03-22 08:34 kaypy Note Added: 0021654
2012-03-31 12:24 Footkerchief Relationship added related to 0003270
2012-07-17 20:47 ironlion45 Note Added: 0023259
2013-06-17 14:07 Knight Otu Relationship added has duplicate 0006341
2013-06-17 14:07 Knight Otu Issue Monitored: Xolroc
2014-01-21 18:11 Footkerchief Relationship replaced has duplicate 0003324
2014-01-27 12:53 Footkerchief Relationship added related to 0000935
2014-03-29 21:52 Dwarfu Relationship added has duplicate 0001766
2014-08-04 08:33 smjjames Issue End Monitor: smjjames
2014-08-04 15:01 Footkerchief Tag Detached: AWAITING UPDATE
2014-08-11 17:51 Rafatio Issue Monitored: Rafatio
2014-08-11 20:28 4maskwolf Issue Monitored: 4maskwolf
2014-12-31 05:03 ptb_ptb Note Added: 0031610
2014-12-31 09:35 fricy Note Added: 0031619
2014-12-31 09:42 fricy Note Edited: 0031619 View Revisions
2015-01-01 10:48 ptb_ptb Note Added: 0031635
2015-01-01 10:51 ptb_ptb Note Edited: 0031635 View Revisions
2015-01-01 10:52 ptb_ptb Note Edited: 0031635 View Revisions
2015-01-01 10:55 ptb_ptb Note Edited: 0031635 View Revisions
2015-07-26 16:05 Loci Note Added: 0032941
2015-12-18 12:54 Kon Issue End Monitor: Kon
2016-03-26 11:47 chaosvolt Tag Attached: long-standing bug
2016-04-13 13:19 Loci Note Added: 0035011
2016-05-11 21:50 Dwarfu Relationship added has duplicate 0009029
2016-07-23 19:41 Loci Relationship added has duplicate 0009936
2016-07-23 19:42 Loci Note Added: 0035699
2016-07-23 19:44 Loci Assigned To => Loci
2016-07-23 19:44 Loci Status new => confirmed
2016-08-11 17:46 lethosor Relationship added related to 0009966


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker